Почему не работает Sublime после установки html5?

Только начала изучать html. Напала на видео 4-летней давности от Muhammad Rabiul - How to install HTML5 in sublime Text , где типичная структура html, которая появляется после ввода "html - TAB", называется html4 и предлагается установить html5. Но в результате у меня Sublime пишет просто текст. По видео установила: Tools - Install Package control - pop-up "Package control was successfully installed"; Preferences - Package Control - здесь не по видео - сразу ввела в поиске "html5", установилось "html bundle for Sublime Text". Дальше саблайм перестал работать, см выше.
Что это было и что нужно, чтобы все заработало? Спасибо
  • Вопрос задан
  • 163 просмотра
Пригласить эксперта
Ответы на вопрос 1
@risejs
Автор видео ошибается насчет html4, на самом деле, всё что начинается с <!DOCTYPE html> уже является html5. То что он там делает, это устанавливает плагин (он же пакет, расширение, дополнение), для того, чтобы генерировать фрагмент (он же сниппет, шаблон) разметки. Сайт плагинов здесь.

Сейчас эту функцию выполняет плагин Emmet. Он действует только на файлы html, css, и подобное.

Чтобы получить html5 нужно ввести ! или html:5. Шпаргалка здесь. Также можно делать свои шаблоны.
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы